Skip to main content
GET
/
api
/
v1
/
a2a
/
{provider_id}
/
.well-known
/
agent-card.json
Get Agent Card
curl --request GET \
  --url https://api.example.com/api/v1/a2a/{provider_id}/.well-known/agent-card.json \
  --header 'Authorization: Basic <encoded-value>'
{
  "capabilities": {
    "extensions": [
      {
        "uri": "<string>",
        "description": "<string>",
        "params": {},
        "required": true
      }
    ],
    "pushNotifications": true,
    "stateTransitionHistory": true,
    "streaming": true
  },
  "defaultInputModes": [
    "<string>"
  ],
  "defaultOutputModes": [
    "<string>"
  ],
  "description": "<string>",
  "name": "<string>",
  "skills": [
    {
      "description": "<string>",
      "id": "<string>",
      "name": "<string>",
      "tags": [
        "<string>"
      ],
      "examples": [
        "I need a recipe for bread"
      ],
      "inputModes": [
        "<string>"
      ],
      "outputModes": [
        "<string>"
      ],
      "security": [
        {
          "google": [
            "oidc"
          ]
        }
      ]
    }
  ],
  "url": "<string>",
  "version": "<string>",
  "additionalInterfaces": [
    {
      "transport": "<string>",
      "url": "<string>"
    }
  ],
  "documentationUrl": "<string>",
  "iconUrl": "<string>",
  "preferredTransport": "JSONRPC",
  "protocolVersion": "0.3.0",
  "provider": {
    "organization": "<string>",
    "url": "<string>"
  },
  "security": [
    {
      "oauth": [
        "read"
      ]
    },
    {
      "api-key": [],
      "mtls": []
    }
  ],
  "securitySchemes": {},
  "signatures": [
    {
      "protected": "<string>",
      "signature": "<string>",
      "header": {}
    }
  ],
  "supportsAuthenticatedExtendedCard": true
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

provider_id
string<uuid>
required

Response

Successful Response

The AgentCard is a self-describing manifest for an agent. It provides essential metadata including the agent's identity, capabilities, skills, supported communication methods, and security requirements.

capabilities
AgentCapabilities · object
required

Defines optional capabilities supported by an agent.

defaultInputModes
string[]
required
defaultOutputModes
string[]
required
description
string
required
Example:

"Agent that helps users with recipes and cooking."

name
string
required
Example:

"Recipe Agent"

skills
AgentSkill · object[]
required
url
string
required
Example:

"https://api.example.com/a2a/v1"

version
string
required
Example:

"1.0.0"

additionalInterfaces
AgentInterface · object[] | null
documentationUrl
string | null
iconUrl
string | null
preferredTransport
string | null
default:JSONRPC
Example:

"JSONRPC"

protocolVersion
string | null
default:0.3.0
provider
AgentProvider · object

Represents the service provider of an agent.

security
Security · object[] | null
Example:
[
{ "oauth": ["read"] },
{ "api-key": [], "mtls": [] }
]
securitySchemes
Securityschemes · object
signatures
AgentCardSignature · object[] | null
supportsAuthenticatedExtendedCard
boolean | null